
Redmine - Defect #29719

[Receiving emails] Mail keep staying in my mail box and keep generating issues after re-fetching

mail.

2018-10-03 07:05 - fon1105 Lee

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Attached file is the log after receiving mail and creating issue.

The issue often occurs when receiving a mail with text format. html format seems to not occur.

I see this message in the log.

--> Message <F651716E-37E4-4AF6-BBF7-B7DA70226643@hinet.net> NOT processed and left on the server

This is my command.

/usr/local/bin/bundle exec /usr/local/bin/rake -f /redmine/Rakefile redmine:email:receive_pop3 RAILS_ENV="production"

host=10.1.1.1 username=username password=password port=110 project=test tracker=Support unknown_user=accept

priority=normal status=new no_permission_check=1 no_account_notice=0 --trace

Environment:

Redmine version 2.6.3.stable

Ruby version 2.0.0-p353 (2013-11-22) [i386-linux]

Rails version 3.2.21

Environment production

Database adapter Mysql2

History

#1 - 2018-10-04 07:11 - fon1105 Lee

- File Redmine_log2.txt added

I have another mail with the same issue. I attached the log. Does anyone who can help with this issue? Thank you.

#2 - 2018-10-06 15:18 - Romain bekdache

- File Activation de votre compte Redmine.msg added

#3 - 2018-10-07 02:36 - Go MAEDA

- Category set to Email receiving

#4 - 2018-10-17 12:45 - fon1105 Lee

Hello,

Could somebody help me with this issue? Thank you very much.

#5 - 2018-10-17 17:03 - Pavel Rosický

it looks like MailHandler#safe_receive returned false for some reason and the email was left on the server

https://github.com/redmine/redmine/blob/master/lib/redmine/pop3.rb#L59

but an issue was created anyway

https://github.com/redmine/redmine/blob/master/app/models/mail_handler.rb#L221

maybe something went wrong when creating an attachment in #add_attachments ? unfortunatelly there's no error in the log

could you try a recent redmine version? 2.6.3 is pretty old...
#6 - 2018-10-18 03:16 - fon1105 Lee

Thank you for your reply.

As I am using some plug-in which only works with older redmine version, so it's hard to try the recent redmine version.

I found the issue often occurs when the mail is text format instead of HTML format, no matter the mail has attachment or not.

#7 - 2018-10-22 04:20 - fon1105 Lee

Which files of Redmine system are related to fetch mail?

Is it possible to patch/replace few files with regards to fetch mail in my current Redmine (2.6)?

#8 - 2018-11-15 09:48 - fon1105 Lee

- Status changed from New to Resolved

Resolved by upgrading Redmine System.

#9 - 2018-11-15 11:55 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback.

Files

Redmine_log.txt 9.95 KB 2018-10-03 fon1105 Lee

Redmine_log2.txt 29.5 KB 2018-10-04 fon1105 Lee

Activation de votre compte Redmine.msg 96.5 KB 2018-10-06 Romain bekdache
